<ng-container *ngIf="house">
  <div class="title">
    <div class="logo house-{{house.id}}"></div>
    <h2>{{ house.name }}</h2>
  </div>
  <table class="info-box">
    <tr>
      <td>Region</td>
      <td>{{ house.region }}</td>
    </tr>
    <tr>
      <td>Coat of arms</td>
      <td>{{ house.coatOfArms }}</td>
    </tr>
    <tr>
      <td>Words</td>
      <td>{{ house.words }}</td>
    </tr>
    <tr>
      <td>Titles</td>
      <td>{{ house.titles.join(', ') }}</td>
    </tr>
    <tr>
      <td>Seats</td>
      <td>{{ house.seats.join(', ') }}</td>
    </tr>
    <tr>
      <td>Current lord</td>
      <td>{{ characters.get(house.currentLord)?.name }}</td>
    </tr>
    <tr>
      <td>Heir</td>
      <td>{{ characters.get(house.heir)?.name }}</td>
    </tr>
    <tr>
      <td>Overlord</td>
      <td>{{ relatedHouses.get(house.overlord)?.name }}</td>
    </tr>
    <tr>
      <td>Founded</td>
      <td>{{ house.founded }}</td>
    </tr>
    <tr>
      <td>Founder</td>
      <td>{{ characters.get(house.founder)?.name }}</td>
    </tr>
    <tr>
      <td>Diet out</td>
      <td>{{ house.diedOut }}</td>
    </tr>
    <tr>
      <td>Ancestral weapons</td>
      <td>{{ house.ancestralWeapons.join(', ') }}</td>
    </tr>
    <tr>
      <td>Cadet branches</td>
      <td>
        <div *ngFor="let cadet of house.cadetBranches">
          {{ relatedHouses.get(cadet)?.name }}
        </div>
      </td>
    </tr>
    <tr>
      <td>Sworn members</td>
      <td>
        <div *ngFor="let member of house.swornMembers">
          {{ characters.get(member)?.name }}
        </div>
      </td>
    </tr>
  </table>
</ng-container>
